package com.rv.im.db.service;

import com.rv.im.db.table.ChatMessage;

import java.util.List;

public interface IChatMessageService {

    List<ChatMessage> getAllMessage(String userId);

    void addMessage(ChatMessage message);

    void setMsgSendSuccess(String receiptId);

    void setUpProgress(String packId, int progress);

    void setUpFailure(String packId);

    void setMsgSendFailure(String receiptId);

    void setUpSuccess(String packId, String url);

    ChatMessage getLastMsg(String userId) ;

    int getUnReadMsg(String targetUserId);

    int getUnReadMsg();

    void setMsgRead(String targetUserId);

    void setVoicePlay(String packId);

    int getPages(String userId);

    void deleteMessage(ChatMessage message) ;

}
